export const KEY = '__rubik_easy_tracking_v2__'

/**
 * Automatically tracks events reading a window object
 */
const loader = function() {
  console.log('Call the trackByWindowObject function!')
  if (!window[KEY]) return
  console.log('Continue the trackByWindowObject function when ' + window[KEY] + 'exists!')

  const {segment_event_name: eventName, ...properties} = window[KEY]
  window.rubik.analytics.track(eventName, properties)
}

export default loader
